<?php

require_once 'config.php';

class SlyLine {

	public $mMysqli;

	function __construct()
	{
		$this->mMysqli = new mysqli(DB_HOST_SL,DB_USER_SL,DB_PASSWORD_SL,DB_DATABASE_SL);
		$this->mMysqli->query("SET NAMES 'utf8'");
		$this->mMysqli->query("SET CHARACTER SET 'utf8'");
	}

	function __destruct()
	{
		$this->mMysqli -> close();
	}

	// очищаяем данные из базы для правильного json 
	function sanitize($text) 
	{
		$text = htmlspecialchars($text, ENT_QUOTES);
		$text = str_replace("\n\r","\n",$text);
		$text = str_replace("\r\n","\n",$text);
		$text = str_replace("\n","<br>",$text);
		return $text;
	}
	
	// вычисляем количетсво строк 
	function col() {
	$result = $this->mMysqli->query("SELECT * FROM statii");
	return ceil($result->num_rows / 20);
	}
	
	// основная функция TwitterTop - вывод данных на каждый запрос jQuery
	function query($getp) 
	{
		$prepage = $this -> col();

		if ($getp == 1 || $getp == 0 || $getp > $prepage) {$p = 0; $curr = 0;}
		else {$p = ($getp-1) * 20; $curr = $getp;}

		
		$result = $this->mMysqli->query("SELECT * FROM statii LIMIT $p, 20");

		$items = '';

		if($result)
		{

			while ($chat = $result -> fetch_array(MYSQLI_ASSOC)) 
			{
			$n = $this -> sanitize($chat['name']);
			$o = $this -> sanitize($chat['opisanie']);
			$h = $this -> sanitize($chat['href']);
			$r = $this -> sanitize($chat['razdel']);
			
$items .=  <<<EOD
			{
			"n": "{$n}", 
			"h": "{$h}",
			"o": "{$o}",
			"r": "{$r}"

			},
EOD;
			}

			if ($items != '') {
				$items = substr($items, 0, -1);
			}
	

			header('Content-type: application/json; charset=UTF-8');
	
			// ответ в json, items - строки из базы
			echo '{
							"items": [
								 '.$items.'
							],
							"count": [
						   {
								"max": "'.$prepage.'"
								
						   },
						   {
						   "curr": "'.$curr.'"
						   }
						   ]
					}';		
		

		}

	}
	
	// первый вывод на страницу
	function firstquery() 
	{
			
		$query = "SELECT * FROM statii LIMIT 0, 20"; 
		$result = $this -> mMysqli ->query($query);

			if($result)
			{
				$arr = array();
				$i = 0;
						while ($chat = $result -> fetch_array(MYSQLI_ASSOC)) 
						{
							++$i;   

						$arr[$i] = '<li><a  rel="'.$chat['opisanie'].'"  class="qtip" href="http://slyweb.ru/'.$chat['href'].'">'.$chat['name'].'</a></li>';
							   
						}	 

				foreach($arr as $val)
				{
					echo $val;	
				}
					
			}	
	}	   

}

// если первый вывод из базы, то запрещаем запуск основной функции
if(isset($_GET['p'])) {

	$toptwit = new SlyLine();
	$toptwit -> query($_GET['p']);
	
}
?>

